/*  HSYCO Library for Arduino
    Copyright (C) 2012-2013 Home Systems Consulting S.p.A. - All rights reserved.

    For information, see the Home Systems Consulting web site:
    http://www.homesystemsconsulting.com/
	
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.
*/

/*
    This sketch is all the code you need in Arduino to directly use its the pinMode(),
    digitalWrite(), digitalRead(), analogRead() and analogWrite()
    functions from HSYCO's I/O user code, in Java or EVENTS.
    
    In events.txt, if arduino is the I/O server name associated to the Arduino board,
    write the following code to test this sketch, then check HSYCO's log for
    change events on arduino.pin.13 and arduino.pin.a5:
      hsycostart : programtimer tick = repeat 1
      iostart arduino : io arduino.pinmode = "13,output"
      programtimer tick : io arduino.digitalwrite = "13,high", io arduino.analogread = "a5"
      io arduino.pin.13 = 1 : wait = 0.1, io arduino.pin.13 = 0
*/

#include <HSYCO.h>

void setup() {
  HSYCO.begin();
}

void loop() {
  HSYCO.process();
}
